v_hdmirxss: XV_HdmiRxSs_Config Struct Reference

| v_hdmirxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_HdmiRxSs_Config Struct Reference

Video Processing Subsystem configuration structure. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the device. More...
UINTPTR | BaseAddress
     BaseAddress is the physical base address of the
subsystem address range More...
UINTPTR | HighAddress
     HighAddress is the physical MAX address of the
subsystem address range More...
XVidC_PixelsPerClock | Ppc
| Supported Pixel per Clock. More...
u8 | MaxBitsPerPixel
| Maximum Supported Color Depth. More...
XV_HdmiRxSs_SubCore | HdcpTimer
| Sub-core instance configuration. More...
XV_HdmiRxSs_SubCore | Hdcp14
| Sub-core instance configuration. More...
XV_HdmiRxSs_SubCore | Hdcp22
| Sub-core instance configuration. More...
XV_HdmiRxSs_SubCore | HdmiRx
| Sub-core instance configuration. More...

## Detailed Description

Video Processing Subsystem configuration structure.

Each subsystem device should have a configuration structure associated that defines the MAX supported sub-cores within subsystem

## Field Documentation

UINTPTR XV_HdmiRxSs_Config::BaseAddress

     BaseAddress is the physical base address of the

subsystem address range

Referenced by XV_HdmiRxSs_CfgInitialize().

u16 XV_HdmiRxSs_Config::DeviceId

DeviceId is the unique ID of the device.

Referenced by XV_HdmiRxSs_CfgInitialize().

XV_HdmiRxSs_SubCore XV_HdmiRxSs_Config::Hdcp14

Sub-core instance configuration.

XV_HdmiRxSs_SubCore XV_HdmiRxSs_Config::Hdcp22

Sub-core instance configuration.

XV_HdmiRxSs_SubCore XV_HdmiRxSs_Config::HdcpTimer

Sub-core instance configuration.

XV_HdmiRxSs_SubCore XV_HdmiRxSs_Config::HdmiRx

Sub-core instance configuration.

Referenced by XV_HdmiRxSs_SubcoreInitHdmiRx().

UINTPTR XV_HdmiRxSs_Config::HighAddress

     HighAddress is the physical MAX address of the

subsystem address range

u8 XV_HdmiRxSs_Config::MaxBitsPerPixel

Maximum Supported Color Depth.

XVidC_PixelsPerClock XV_HdmiRxSs_Config::Ppc

Supported Pixel per Clock.

Referenced by XV_HdmiRxSs_SetDefaultPpc(), XV_HdmiRxSs_SetPpc(), and XV_HdmiRxSs_SetStream().